AlertsUpdate an alertpatch

Update an alert

Updates an alert name, params, recipients, or channel. kind and contract_id are immutable.

curl -X PATCH "https://api.textmine.com/v3/alerts/123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (`tm_<key>`)" \
  -d '{
  "name": "John Doe",
  "params": {},
  "recipients": [
    {
      "user_id": 123,
      "email": "user@example.com"
    }
  ],
  "channel": "example_string"
}'
{
  "id": 222,
  "contract_id": 67890,
  "kind": "before_termination",
  "name": "John Doe",
  "params": {},
  "recipients": [
    {
      "user_id": 123,
      "email": "user@example.com"
    }
  ],
  "channel": "email",
  "status": "scheduled",
  "fires_at": "2024-12-25T10:00:00Z",
  "fired_at": "2024-12-25T10:00:00Z",
  "error": "example_string",
  "created_at": "2024-12-25T10:00:00Z",
  "created_by_id": 123
}
PATCH
/v3/alerts/{alertId}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (`tm_<key>`)
Bearer Tokenstring
Required

Use Authorization: Bearer tm_<key> for API-key access to /v3/** endpoints. V3 also accepts Auth0 JWT and HTTP Basic for user-session contexts.

Use Authorization: Bearer tm_<key> for API-key access to /v3/** endpoints. V3 also accepts Auth0 JWT and HTTP Basic for user-session contexts.
path
alertIdinteger
Required

Alert ID.

Format: int64
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (tm_<key>). Use Authorization: Bearer tm_<key> for API-key access to /v3/** endpoints. V3 also accepts Auth0 JWT and HTTP Basic for user-session contexts.

Path Parameters

Responses

idinteger
contract_idinteger
kindstring
namestring
paramsobject
recipientsarray
channelstring
statusstring
fires_atstring
fired_atstring
errorstring
created_atstring
created_by_idinteger